<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}
$tmpdir_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);


if(!$WHuds->exists($tmpdir_name))
{
	$WH->message("不存在此目录，返回！", "index.php?dir=$dir");
}
else
{

if(empty($action) || $action != "copy"){
	$newdir_name = dirname($dir_name);
echo <<<eot

<form action="index.php?op=copy_dir&action=copy" method="post">
<input type="hidden" name="dir" value="$dir">
<input type="hidden" name="dir_name" value="$dir_name">\n

将目录：$dir_name <br />
复制到目录（目录可以不存在）：<input type="text" name="newdir_name" value="$newdir_name" size=80>

<br>
<center>（此操作可能需要一点时间，请耐心等候！）<input type="submit" value="复制目录"></center>\n
</form>
eot;
}else{
	$tmpnewdir_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $newdir_name);
	$result = $WHuds->copy($tmpdir_name, $tmpnewdir_name);

	$WH->message("复制目录成功！", "index.php?dir=$dir");//有问题，只能复制一个文件
}

}

?>